using System;
using System.Collections.Generic;
using NinjaTrader.Cbi;

internal sealed class Delegate152 : MulticastDelegate
{
	public extern IList<OrderEventArgs> Invoke(object object_0);

	public static IList<OrderEventArgs> smethod_0(object object_0, Delegate152 delegate152_1)
	{
		return delegate152_1(object_0);
	}

	public extern Delegate152(object object_0, IntPtr intptr_0);

	static Delegate152()
	{
		Class10.smethod_13(typeof(Delegate152).TypeHandle);
	}

	internal static Delegate152 delegate152_0;
}
